Competitor Tracker & Co. Docs

List detected changes attributed to a single snapshot.

List detected changes attributed to a single snapshot — Competitor Tracker & Co. API reference for GET /v1/snapshots/{id}/changes: request parameters, request.

Required role: member or higher (organization-level).

Required scope: changes:read (for both OAuth2 tokens and API keys).

GET
/v1/snapshots/{id}/changes

Authorization

X-API-Key<token>

In: header

Path Parameters

id*string

Query Parameters

cursor?string
limit?integer
Range0 < value <= 200
category?string|array<string>
priority?string|array<string>
since?string

Response Body

application/json

application/json

application/json

curl -X GET "https://api.competitortracker.io/v1/snapshots/string/changes"
{
  "items": [
    {
      "id": "string",
      "competitorId": "string",
      "snapshotId": "string",
      "priorSnapshotId": "string",
      "snapshotFetchedAt": "string",
      "priorSnapshotFetchedAt": "string",
      "category": "string",
      "priority": "high",
      "description": "string",
      "detectedAt": "string",
      "createdAt": "string",
      "relevance": "company_wide"
    }
  ],
  "nextCursor": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}